| Home | Libraries | People | FAQ | More

##### windows::basic_handle::basic_handle (3 of 3 overloads)

Move-construct a `windows::basic_handle` from another.

    basic_handle(
        basic_handle && other);

This constructor moves a handle from one object to another.

###### Parameters

other

  The other `windows::basic_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_handle(io_service&) constructor`.